> ## Documentation Index
> Fetch the complete documentation index at: https://docs.holacati.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete event

> Deletes all existing events for an assistant and replaces them with a new list of events. The assistant is identified by the provided JWT token.



## OpenAPI

````yaml api-reference/openapi-calendar.json post /delete-event
openapi: 3.0.0
info:
  title: Calendar API
  description: >-
    API for managing calendar events for the Catalina Project. Includes examples
    for all endpoints.
  version: 1.0.1
  contact:
    name: Markus Urban
servers:
  - url: /
security: []
paths:
  /delete-event:
    post:
      tags:
        - Assistant
      summary: Replace all events for an assistant
      description: >-
        Deletes all existing events for an assistant and replaces them with a
        new list of events. The assistant is identified by the provided JWT
        token.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                token:
                  type: string
                events:
                  type: array
                  items:
                    $ref: '#/components/schemas/Event'
              required:
                - token
                - events
            examples:
              replaceWithOneEvent:
                summary: Replace calendar with a single new event
                value:
                  token: eyJh...
                  events:
                    - title: All-Hands Meeting
                      start: '2025-09-01T10:00:00Z'
                      color: '#6f42c1'
                      allDay: false
                      alarm: true
              clearAllEvents:
                summary: Clear all events from the calendar
                value:
                  token: eyJh...
                  events: []
      responses:
        '200':
          description: Status of the event update operation.
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/SuccessUpdate'
                  - $ref: '#/components/schemas/Error'
              examples:
                success:
                  summary: Update successful
                  value:
                    status: success
                    message: Events updated successfully
components:
  schemas:
    Event:
      type: object
      properties:
        title:
          type: string
          example: Team Meeting
        start:
          type: string
          format: date-time
          example: '2025-07-25T14:00:00Z'
        color:
          type: string
          example: '#007bff'
        allDay:
          type: boolean
          example: false
        alarm:
          type: boolean
          example: true
      required:
        - title
        - start
        - color
        - allDay
        - alarm
    SuccessUpdate:
      type: object
      properties:
        status:
          type: string
          example: success
        message:
          type: string
          example: Events updated successfully
    Error:
      type: object
      properties:
        status:
          type: string
          example: invalid
        message:
          type: string
          example: Invalid or expired token

````